
// définition des variables
    int analogPin=0;            //utilisation de l'entrée A0
    int Valeur=0;
    float Tension=0;
    int ledPin=9;               //utilisation de l'entrée 9

// partie d'initialisation
    void setup() {
      Serial.begin(9600);       // connexion carte-ordinateur
      pinMode(ledPin,OUTPUT);   //LED en sortie
    }

// partie de commande
    void loop() {
      //affichage des résultats de l'entrée A0 dans le moniteur
      Valeur=analogRead(analogPin);
      Tension=Valeur*5.0/1023;  
      Serial.println(Tension);
      delay (1000);             //1000ms entre deux mesures successives
      //choix du seuil de basculement de la LED ici 2V
      if (Tension > 2){
      digitalWrite(ledPin,LOW);
      }else{
      digitalWrite(ledPin,HIGH);}
    }




  

